/*
 * bsp.h
 *
 * BSP header
 */

#ifndef INCLUDED_BSP_H
#define INCLUDED_BSP_H


/*
 * Match Tolerance
 */

#define TOLERANCE 0.001     // accuracy errors happen with FP math :P

/*
 * Lines
 */

typedef struct _line
{
    int     id;				// used by BSP compiler

    int     x1, y1, x2, y2;
    
    struct _line    *next;
} LINE;

/*
 * BSP Node
 */

typedef struct _bsp
{
    int         id;

    int         x1, y1, x2, y2;
    
    struct _bsp *f, *n;         // far (back) and near (front) leaves
} BSP;

/*
 * Functions
 */

extern int	MakeBSP(FILE *, LINE *);


#endif  // INCLUDED_BSP_H
